with GNATCOM.Errors;

package body MSHTML.IHTMLEditHost2_Interface is

   procedure Initialize (This : in out IHTMLEditHost2_Type) is
   begin
      Set_IID (This, IID_IHTMLEditHost2);
   end Initialize;

   function Pointer (This : IHTMLEditHost2_Type)
     return Pointer_To_IHTMLEditHost2
   is
   begin
      return To_Pointer_To_IHTMLEditHost2 (Address (This));
   end Pointer;

   procedure Attach (This    : in out IHTMLEditHost2_Type;
                     Pointer : in     Pointer_To_IHTMLEditHost2)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   procedure SnapRect
     (This      : IHTMLEditHost2_Type;
      pIElement : Pointer_To_IHTMLElement;
      prcNew    : Pointer_To_tagRECT;
      eHandle   : uELEMENT_CORNER)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.SnapRect
         (Pointer (This),
          pIElement,
          prcNew,
          eHandle));

   end SnapRect;

   procedure PreDrag
     (This : IHTMLEditHost2_Type)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.PreDrag
         (Pointer (This)));

   end PreDrag;

end MSHTML.IHTMLEditHost2_Interface;

